defines.hh File Reference
`#include <mia/core/gsl_defines.hh>`
Include dependency graph for defines.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | EXPORT DO_EXPORT
| Macro to set visibility to default, resp. __declspec(dllexport).
#define | EXPORT_CORE DO_IMPORT
| Macro to manage Visual C++ style dllimport/dllexport.
#define | MIA_MODULE_SUFFIX "mia"
| suffix for plug-ins
#define | NS_BEGIN(NS)
| conveniance define to start a namespace
#define | NS_END }
| conveniance define to end a namespace
#define | NS_MIA_BEGIN namespace mia {
| conveniance define to start the mia namespace
#define | NS_MIA_END }
| conveniance define to end the mia namespace
#define | NS_MIA_USE using namespace mia;
| conveniance define to use the mia namespace
#define | NS_USE(NS)
| conveniance define to use s namespace

## Enumerations

enum | EInterpolation { ip_nn , ip_linear , ip_bspline0 , ip_bspline1 , ip_bspline2 , ip_bspline3 , ip_bspline4 , ip_bspline5 , ip_omoms3 , ip_unknown }
| some constants for interpoation types More...
enum | EInterpolationFactory { ipf_spline , ipf_unknown }
| Enumerate for the types of possible interpolator factories. More...

## Functions

EXPORT_CORE char const * | get_revision ()

## Detailed Description

This file provides some defines to make life easier

Definition in file defines.hh.

## Macro Definition Documentation

## EXPORT

#define EXPORT DO_EXPORT

Macro to set visibility to default, resp. __declspec(dllexport).

Definition at line 105 of file defines.hh.

## EXPORT_CORE

#define EXPORT_CORE DO_IMPORT

Macro to manage Visual C++ style dllimport/dllexport.

Definition at line 101 of file defines.hh.

Referenced by add_attribute(), add_attribute(), correlation(), create_filename(), distance_transform_inplace(), fname_to_cformat(), get_attribute_as(), get_consecutive_numbered_files(), get_filename_number_pattern(), get_filename_number_pattern_width(), get_filename_pattern_and_range(), get_revision(), CAttributedData::has_attribute(), integrate2(), kmeans_get_closest_clustercenter(), min_ax2_bx_c(), operator<<(), operator<<(), operator<<(), operator==(), operator==(), operator==(), mia::produce_fastica_nonlinearity(), produce_spline_boundary_condition(), sincos(), sincosf(), and split_filename_number_pattern().

## MIA_MODULE_SUFFIX

#define MIA_MODULE_SUFFIX "mia"

suffix for plug-ins

Definition at line 84 of file defines.hh.

## NS_BEGIN

#define NS_BEGIN | ( |  | NS | ) |

Value:
namespace NS {

conveniance define to start a namespace

Definition at line 42 of file defines.hh.

## NS_END

#define NS_END }

conveniance define to end a namespace

Definition at line 45 of file defines.hh.

## NS_MIA_BEGIN

#define NS_MIA_BEGIN namespace mia {

conveniance define to start the mia namespace

Definition at line 33 of file defines.hh.

## NS_MIA_END

#define NS_MIA_END }

conveniance define to end the mia namespace

Definition at line 36 of file defines.hh.

Referenced by angle(), correlation(), cpu_has_neon(), DECLARE_EXTERN(), DEFINE_Image_Creator(), distance_point_line(), fuzzy_segment_2d(), fuzzy_segment_3d(), C2DPerfusionAnalysis::get_mixing_curve(), get_nfg(), get_nfg(), get_revision(), integrate2(), load_image_series(), min_ax2_bx_c(), morph_thinning_2d(), operator!=(), operator!=(), operator*(), operator+=(), operator==(), operator>>(), read_attribute_from_node(), run_filter_chain(), save_image(), save_image(), split_filename_number_pattern(), test_image_equal(), test_image_equal(), and TTransformCreatorPlugin< C2DTransformation >::TTransformCreatorPlugin().

## NS_MIA_USE

#define NS_MIA_USE using namespace mia;

conveniance define to use the mia namespace

Definition at line 39 of file defines.hh.

## NS_USE

#define NS_USE | ( |  | NS | ) |

Value:
using namespace NS

conveniance define to use s namespace

Definition at line 48 of file defines.hh.

## Enumeration Type Documentation

## EInterpolation

enum EInterpolation

some constants for interpoation types

Enumerator
ip_nn | nearest neighbor interpolation
ip_linear | linear interpolation
ip_bspline0 | bsplines of degree 0 (nearest neighbor interpolation)
ip_bspline1 | bsplines of degree 1 (linear interpolation)
ip_bspline2 | bsplines of degree 2
ip_bspline3 | bsplines of degree 3
ip_bspline4 | bsplines of degree 4
ip_bspline5 | bsplines of degree 5
ip_omoms3 | omoms splines of degree 3
ip_unknown | unknown type

Definition at line 62 of file defines.hh.

## EInterpolationFactory

enum EInterpolationFactory

Enumerate for the types of possible interpolator factories.

Enumerator
ipf_spline | bspline based interpolation
ipf_unknown | unkown type

Definition at line 76 of file defines.hh.

## Function Documentation

## get_revision()

EXPORT_CORE char const * get_revision | ( |  | ) |

extern

References EXPORT_CORE, and NS_MIA_END.